Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2101838 - publican-4.3.2-23.fc37 FTBFS: Missing build-dependencies perl(File::Inplace) and perl(Lingua::EN::Fathom)
Summary: publican-4.3.2-23.fc37 FTBFS: Missing build-dependencies perl(File::Inplace) ...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: publican
Version: 37
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jeff Fearn 🐞
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F38FTBFS F39FTBFS F40FTBFS F37FTBFS
TreeView+ depends on / blocked
 
Reported: 2022-06-28 14:01 UTC by Petr Pisar
Modified: 2024-04-02 04:25 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-12-03 22:39:39 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Petr Pisar 2022-06-28 14:01:05 UTC
publican-4.3.2-23.fc37 fails to build in Fedora 37 because two dependencies were removed from the distribution:

# dnf --enablerepo=f37-build  builddep  ~test/fedora/publican/publican.spec 
Last metadata expiration check: 0:04:30 ago on Tue 28 Jun 2022 03:54:54 PM CEST.
[...]
No matching package to install: 'perl(File::Inplace)'
[...]
No matching package to install: 'perl(Lingua::EN::Fathom)'
[...]
Not all dependencies satisfied
Error: Some packages could not be found.

You should either unretire the two packages, or retire publican.

Comment 1 Ben Cotton 2022-08-09 13:19:32 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 37 development cycle.
Changing version to 37.

Comment 2 Fedora Update System 2022-09-14 10:29:15 UTC
FEDORA-2022-7f390fcbe8 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2022-7f390fcbe8

Comment 3 Petr Pisar 2022-09-14 11:18:28 UTC
I obsoleted historical releases of this package because they have unmet run-time dependencies and that prevents users from upgrading their systems.
Once you resolved the dependency problems and build this package, the new package release will be out of the obsolete range and become available.

If you do not plan fixing this package, I recommend retiring it with "fedpkg retire 'AN_EXPLANATION'" command in a rawhide branch of the dist-git repository.

Comment 4 Michal Josef Spacek 2023-06-22 09:21:52 UTC
I delivered perl(File::Inplace) and perl(Lingua::EN::Fathom) to Fedora rawhide, other are in progress.

btw: lklug-fonts package was removed from Fedora rawhide.

Comment 5 Michal Josef Spacek 2023-07-19 13:23:20 UTC
@rlandman Could you build package for f37 and f38?

Comment 6 Fedora Release Engineering 2023-11-13 18:08:45 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 38.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2022-08-23).

A week before the mass branching of Fedora 39 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 37 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-39/f-39-key-tasks.html

Comment 7 Jeff Fearn 🐞 2023-11-13 23:50:25 UTC
Hi, is there a way to see if anyone is actually installing this package?

Comment 8 Jeff Fearn 🐞 2023-11-14 01:51:03 UTC
FYI this appears to have failed due to an issue with Java. I built this in a fedora:rawhide container and it worked.

https://koschei.fedoraproject.org/package/publican

View root.log

DEBUG util.py:446:  Error: 
DEBUG util.py:446:   Problem: conflicting requests
DEBUG util.py:446:    - nothing provides java needed by fop-2.9-3.fc40.noarch from build
DEBUG util.py:446:    - nothing provides (java-headless or java-21-headless or java-17-headless or java-11-headless or java-1.8.0-headless) needed by fop-2.9-3.fc40.noarch from build

My build found and installed:

java-17-openjdk-headless-17.0.8.0.7-2.fc40.x86_64
java-17-openjdk-17.0.8.0.7-2.fc40.x86_64

Probably just needs a rebuild.

Comment 9 Petr Pisar 2023-11-14 09:40:18 UTC
(In reply to Jeff Fearn 🐞 from comment #7)
> Hi, is there a way to see if anyone is actually installing this package?

No. We cannot see what users install.
What we know is that this package is not a dependency for any other Fedora package.

Comment 10 Jeff Fearn 🐞 2023-11-14 23:10:25 UTC
(In reply to Petr Pisar from comment #9)
> (In reply to Jeff Fearn 🐞 from comment #7)
> > Hi, is there a way to see if anyone is actually installing this package?
> 
> No. We cannot see what users install.

Probably for the best.

> What we know is that this package is not a dependency for any other Fedora
> package.

I asked around and some people still sue use it. If I can remember how I'll kick off a build.

Comment 11 Jeff Fearn 🐞 2023-11-14 23:18:41 UTC
Oh, it's already been rebuilt. 

https://koji.fedoraproject.org/koji/taskinfo?taskID=108999410

Comment 12 Jeff Fearn 🐞 2023-11-15 00:45:07 UTC
I did scratch builds on f37 and f38 and it builds OK.

https://koji.fedoraproject.org/koji/taskinfo?taskID=109043107
https://koji.fedoraproject.org/koji/taskinfo?taskID=109043114

Do I just need to submit builds and updates for these?

Comment 13 Petr Pisar 2023-11-15 13:57:41 UTC
I think that's the only thing which remains: publican is not now available for Fedora 37 and 38 users.

Comment 14 Michal Josef Spacek 2023-11-15 14:20:13 UTC
(In reply to Jeff Fearn 🐞 from comment #12)
> I did scratch builds on f37 and f38 and it builds OK.
> 
> https://koji.fedoraproject.org/koji/taskinfo?taskID=109043107
> https://koji.fedoraproject.org/koji/taskinfo?taskID=109043114
> 
> Do I just need to submit builds and updates for these?

Yes, you need to build and add to bodhi for update.

Comment 15 Jeff Fearn 🐞 2023-11-20 03:02:28 UTC
Hmm the f37 build failed because:

DEBUG util.py:446:    - nothing provides java needed by fop-2.7-4.fc37.noarch from build
DEBUG util.py:446:    - nothing provides (java-headless or java-17-headless) needed by fop-2.7-4.fc37.noarch from build

The build was on a i686 host:

DEBUG util.py:448:  Package rpm-build-4.18.1-2.fc37.i686 is already installed.

https://koji.fedoraproject.org/koji/taskinfo?taskID=109279073

And that package isn't built for that arch.

https://koji.fedoraproject.org/koji/buildinfo?buildID=2200254

Publican itself is noarch, how should that be handled?

Comment 17 Fedora Update System 2023-11-22 00:10:48 UTC
FEDORA-2023-9ab7a2ca86 has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-9ab7a2ca86

Comment 18 Fedora Update System 2023-11-22 00:43:52 UTC
FEDORA-2023-ec0a0bb0a7 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-ec0a0bb0a7

Comment 19 Fedora Update System 2023-11-22 02:56:12 UTC
FEDORA-2023-9ab7a2ca86 has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-9ab7a2ca86`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-9ab7a2ca86

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 20 Aoife Moloney 2023-11-23 00:13:59 UTC
This message is a reminder that Fedora Linux 37 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 37 on 2023-12-05.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '37'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version. Note that the version field may be hidden.
Click the "Show advanced fields" button if you do not see it.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 37 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 21 Fedora Update System 2023-11-23 01:29:56 UTC
FEDORA-2023-ec0a0bb0a7 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-ec0a0bb0a7`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-ec0a0bb0a7

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 22 Fedora Update System 2023-11-30 04:21:48 UTC
FEDORA-2023-9ab7a2ca86 has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 23 Fedora Update System 2023-12-01 01:29:40 UTC
FEDORA-2023-ec0a0bb0a7 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 24 Jeff Fearn 🐞 2023-12-03 22:39:39 UTC
This package is now available on F37 and F38.

Comment 25 Red Hat Bugzilla 2024-04-02 04:25:02 UTC
The needinfo request[s] on this closed bug have been removed as they have been unresolved for 120 days


Note You need to log in before you can comment on or make changes to this bug.